Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 378613 - >=sys-fs/udev-183 doesn't copy anything from /lib/udev/devices (since tmpfiles should be used instead)
Summary: >=sys-fs/udev-183 doesn't copy anything from /lib/udev/devices (since tmpfile...
Status: VERIFIED OBSOLETE
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Core system (show other bugs)
Hardware: AMD64 Linux
: Normal normal (vote)
Assignee: udev maintainers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-10 09:18 UTC by Łukasz Stelmach
Modified: 2013-04-19 09:28 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Łukasz Stelmach 2011-08-10 09:18:18 UTC
/etc/init.d/udev-dev-tarball doesn't copy named pipes created in /lib64/udev/devices to /dev on startup. This disables for example logging to and monitoring /dev/xconsole (see /etc/syslog.conf)

Reproducible: Always

Steps to Reproduce:
1. mknod /lib64/udev/devices/xconsole p
2. reboot

Actual Results:  
/dev/xconsole does not exist.

Expected Results:  
/dev/xconsole exists.
Comment 1 Łukasz Stelmach 2011-08-10 09:57:59 UTC
In fact it doesn't copy any files from that directory since udev-156.
Comment 2 William Hubbs gentoo-dev 2011-08-14 17:38:49 UTC
How about /lib/udev/devices? Does it copy from there?

That is the correct place for these files since things in there are not
architecture specific.

Try putting your named pipes there and let me know if that fixes the
issue.
Comment 3 Łukasz Stelmach 2011-08-20 10:41:51 UTC
$ ls -l /lib
lrwxrwxrwx 1 root root 5 05-28 12:30 /lib -> lib64

Nope.

Putting anything in /lib/udev/devices doesn't work because no post 151-r4 init-script contains

cp -RPp /lib/udev/devices/* /dev 2>/dev/null

try

grep -r lib/udev/devices /usr/portage/sys-fs/udev/files/1*/*.initd

and see yourself. References in 156 and newer are in the stop() function of udev-dev-tarball.init.d. IMHO somebody simply cut too when upgrading to 156.
Comment 4 Samuli Suominen gentoo-dev 2013-01-18 00:42:34 UTC
This looks outdated bug.

$ ls /lib/udev/devices
ls: cannot access /lib/udev/devices: No such file or directory

I'm pretty sure this isn't any of problem with >=sys-fs/udev-197-r2 anymore. However, if it is, let us know.
Comment 5 Samuli Suominen gentoo-dev 2013-04-19 09:27:52 UTC
(In reply to comment #4)
> I'm pretty sure this isn't any of problem with >=sys-fs/udev-197-r2 anymore.
> However, if it is, let us know.

Verified. Support for /lib/udev/devices stopped in udev-183 and tmpfiles should be used now (OpenRC's tmpfiles, or systemd's tmpfiles)